<?php 
  require_once "/home/verjp/cmsfactory.jp/public_html/CMSF/lib/viewer_functions.php";

  list($eventsRecords, $eventsMetaData) = getRecords(array(
    'tableName'   => 'events',
  ));
   
?> 
<?PHP  
  function maxWords($textOrHtml, $maxWords) { 
    $text=str_replace("<p>","*P*",$textOrHtml); 
    $text= str_replace("</p>","*/P*",$text); 
    $text = strip_tags($text);   
    $words = preg_split("/\s+/", $text, $maxWords+1);   
    if (count($words) > $maxWords) { unset($words[$maxWords]); }   
    $output = join(' ', $words);   
    $output=str_replace("*P*","<p>",$output); 
    $output=str_replace("*/P*","</p>",$output); 
    $output.="</p>"; 
 
    return $output;   
  }   
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml"> 
<head> 
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /> 
<title>Untitled Document</title> 
<link rel="stylesheet" href="calendar.css" type="text/css" /> 
<style type="text/css">
<!--
p {
    font-size: 14px; }
a.tip {
	position: relative;
}

a.tip span {
	display: none;
	position: absolute;
	top: 30px;
	left: 50px;
	width: 400px;
	padding: 5px;
	z-index: 100;
	background: #000;
	color: #fff;
	-moz-border-radius: 5px; /* this works only in camino/firefox */
	-webkit-border-radius: 5px; /* this is just for Safari */
}

a:hover.tip { text-decoration: none;
	font-size: 99%; /* this is just for IE */
}

a:hover.tip span {
	display: block;
}

-->
</style>

</head> 
 
<body> 
<div id="container"> 
<!-- calendar --> 
<?php
  
  // <zickey> - get selected month
  $monthNames = Array("1月", "2月", "3月", "4月", "5月", "6月", "7月", "8月", "9月", "10月", "11月", "12月"); 
  if (!isset($_REQUEST["month"])) $_REQUEST["month"] = date("n"); 
  if (!isset($_REQUEST["year"])) $_REQUEST["year"] = date("Y"); 
   
  $cMonth = $_REQUEST["month"]; 
  $cYear = $_REQUEST["year"]; 
   
  $prev_year = $cYear; 
  $next_year = $cYear; 
   
  $prev_month = $cMonth-1; 
  $next_month = $cMonth+1; 
   
  if ($prev_month == 0 ) { 
  $prev_month = 12; 
  $prev_year = $cYear - 1; 
  } 
  if ($next_month == 13 ) { 
  $next_month = 1; 
  $next_year = $cYear + 1; 
  }
  // </zickey>
  
  // find all events which overlap with this month
  $this_month_date = sprintf("%04d-%02d-01 00:00:00", $cYear, $cMonth);
  $next_month_date = sprintf("%04d-%02d-01 00:00:00", $next_year, $next_month);
  list($eventsRecords, ) = getRecords(array(
    'tableName' => 'events',
    'where'     => mysql_escapef("start_date < ? AND IF(end_date != '0000-00-00', end_date >= ?, start_date >= ?)", $next_month_date, $this_month_date, $this_month_date),
  ));

  // go through events and build up a mapping of dates to events, respecting repeated events
  $eventsByDay = array();
  $this_month_time = strtotime($this_month_date);
  $next_month_time = strtotime($next_month_date) - 1;
  foreach ($eventsRecords as $record) { 
    if (strtotime($record['end_date'])) { 
      $last_day     = null; 
      $current_time = max($this_month_time, strtotime($record['start_date'])); 
      $end_time     = min($next_month_time, strtotime($record['end_date'])); 
      while ($current_time < $end_time || date("Y-m-d", $current_time) == date("Y-m-d", $end_time)) { 
        $skip = false; 
         
        $current_day = date("Y-m-d", $current_time); 
        // skip if we've already seen this day (necessary because we're skipping forward by 23 hours) 
        if ($current_day == $last_day) { $skip = true; } 
         
        // skip if relevant weekday checkbox isn't checked 
        $current_weekday = strtolower(date('l', $current_time)); 
        if (!$record[$current_weekday]) { $skip = true; } 
         
        // add event to this day
        if (!$skip) {
          $day = intval(date('d', $current_time)); 
          if (!array_key_exists($day, $eventsByDay)) { $eventsByDay[$day] = array(); } 
          $eventsByDay[$day][] = $record; 
        } 
         
        // advance current_time (but not by 24 hours, lest we skip over a springtime daylight-savings day) 
        $current_time += 23*60*60; 
        $last_day = $current_day; 
      } 
    } 
    else { 
      // no end_date, so this is a single-day event 
      $day = intval(date('d', strtotime($record['start_date']))); 
      if (!array_key_exists($day, $eventsByDay)) { $eventsByDay[$day] = array(); } 
      $eventsByDay[$day][] = $record; 
    } 
  }
?> 

<div id="calendar_div" name="calendar_div"> 
<table border="0" cellpadding="1" cellspacing="0" bgcolor="#333333"> 
<tr align="center"> 
<td bgcolor="#333333"><table width="100%" border="0" cellspacing="0" cellpadding="0"> 
<tr> 
<td width="50%" align="left">&nbsp;&nbsp;<a href="<?php echo $_SERVER["PHP_SELF"] . "?month=". $prev_month . "&year=" . $prev_year; ?>" class="CalNextPrevious">前月</a></td> 
<td width="50%" align="right"><a href="<?php echo $_SERVER["PHP_SELF"] . "?month=". $next_month . "&year=" . $next_year; ?>" class="CalNextPrevious">次月</a>&nbsp;&nbsp;</td> 
</tr> 
</table></td> 
</tr> 
<tr> 
<td align="center"><table width="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF"> 
<tr align="center"> 
<td colspan="7" class="CalMonth" ><?php echo $cYear.'年 '.$monthNames[$cMonth-1]; ?></td> 
</tr> 
<tr> 
<td class="CalDayofWeek">日</td> 
<td class="CalDayofWeek">月</td> 
<td class="CalDayofWeek">火</td> 
<td class="CalDayofWeek">水</td> 
<td class="CalDayofWeek">木</td> 
<td class="CalDayofWeek">金</td> 
<td class="CalDayofWeek">土</td> 
</tr> 
<?php 
$timestamp = mktime(0,0,0,$cMonth,1,$cYear); 
$maxday = date("t",$timestamp); 
$thismonth = getdate ($timestamp); 
$startday = $thismonth['wday']; 
 
for ($i=0; $i<($maxday+$startday); $i++) { 
if(($i % 7) == 0 ) echo "<tr>\n"; 
if($i < $startday) { 
  echo "<td></td>\n"; 
} 
else { 
  $day = $i - $startday + 1; 
  
  if($i=="6" or $i=="13" or $i=="20" or $i=="27" or $i=="34" or $i=="41") {
  echo "<td class='CalDates1'>". $day . "<br />";
  }
  elseif($i=="0" or $i=="7" or $i=="14" or $i=="21" or $i=="28" or $i=="35") {
  echo "<td class='CalDates2'>". $day . "<br />";
  }
  else { 
  echo "<td class='CalDates'>". $day . "<br />"; 
  }
  // check if there are any events for this day 
  if (array_key_exists($day, $eventsByDay)) { 
    // list all events for this day 
    foreach ($eventsByDay[$day] as $record) { 
      ?> <div id="calFonts">
       <a href="#" class="tip"> <h1><?php echo $record['title'] ?></h1> 
        <span><?php echo $record['title'] ?><br />時間：<?php echo date("g:i a", strtotime($record['start_date'])) ?><br />場所：<?php echo $record['location'] ?><br />内容：<?php echo $record['content'] ?></span></a>
         <!--<h3>Time: <?php echo date("g:i a", strtotime($record['date'])) ?></h3>-->
		<!--<h3>Where: <?php echo $record['location'] ?></h3>--> 
       <!-- <p><?php echo maxWords($record['content'], 9); ?>... --> 
        <a href="<?php echo $record['_link'] ?>">詳細</a></p><br /></div>
      <?php 
    } 
  } 
  echo "</td>\n"; 
} 
if(($i % 7) == 6 ) echo "</tr>\n"; 
} 
?> 
 
</table></td> 
</tr> 
</table> 
<br /> 
<!-- /calendar --></div> 
<!-- /container --></div>



</body> 
</html>