<?php
  $libraryPath = '/CMSF/lib/viewer_functions.php';
  $dirsToCheck = array('/hsphere/local/home/gkornblu/thecmsbcookbook.com/','','../','../../','../../../');
  foreach ($dirsToCheck as $dir) { if (@include_once("$dir$libraryPath")) { break; }}
  if (!function_exists('getRecords')) { die("Couldn't load viewer library, check filepath in sourcecode."); }

  // load records
  list($eventsRecords, $eventsMetaData) = getRecords(array(
    'tableName'   => 'events',
    'where'       => whereRecordNumberInUrl(1),
    'limit'       => '1',
  ));
  $eventsRecord = @$eventsRecords[0]; // get first record



?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
 <head>
  <title></title>
  <meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
  <style type="text/css">
    body          { font-family: arial; }
    .instructions { border: 3px solid #000; background-color: #EEE; padding: 10px; text-align: left; margin: 25px}
  </style>
 </head>
<body>

  


  <!-- STEP2: Display Records (Paste this where you want your records to be listed) -->
    <h1>イベント詳細</h1>
      タイトル：<?php echo $eventsRecord['title'] ?><br/>
      日時：<?php echo date("Y年m月d日 g:i:s a", strtotime($eventsRecord['start_date'])) ?><br/>
      <!-- For date formatting codes see: http://www.php.net/date -->
      場所：<?php echo $eventsRecord['location'] ?><br/>
      内容：<?php echo $eventsRecord['content'] ?><br/>
 

      <hr/>
    <?php if (!$eventsRecord): ?>
      No record found!<br/><br/>
    <?php endif ?>
  <!-- /STEP2: Display Records -->

  <a href="<?php echo $eventsMetaData['_listPage']; ?>">&lt;&lt; カレンダーに戻る</a>
</body>
</html>
